
Figure - Bug #112135
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111043 (New): AF-V2.0-自动背光

【AF】【EVT】【自动背光】设置 - 显示中的“自动背光开关”没有即时同步状态
2022-09-26 14:12 - CD Test赵飞

Status: CLOSED Start date: 2022-09-26

Priority: Normal Due date: 2022-09-30

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

Resolution: FIXED Degrated: No

Severity: Minor Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220928.alpha_0019

Reproducibility: Every time Fixed Version: 2022-09-28

Test Type: IT Root cause: 因为Settings中没监听数据库值的变化,没有自动切换,加上监视器即可

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220924.alpha_0019

【前提条件】

1、设备已开机

【测试步骤】

1、进入设置 - 显示

2、向下滑动屏幕打开控制中心

3、点击打开或关闭“自动亮度”开关

4、点击屏幕任意空白处退出控制中心

5、查看显示页面中“自动调节亮度”开关状态

【预期结果】

5、“自动调节亮度”开关立即同步控制中心开关状态，与之保持一致

【实际结果】

5、“自动调节亮度”开关没有立即同步控制中心开关状态，需要退出当前页面再进入后才会显示正确的状态

【复现率】

5/5

【Log】

Log见附件

History

#1 - 2022-09-26 17:48 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW-程天颖

#2 - 2022-09-26 18:33 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V2.0_20220930

#3 - 2022-09-27 20:22 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD Test赵飞
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20220928.alpha_0019

- Fixed Version set to 2022-09-28

- Root cause set to 因为Settings中没监听数据库值的变化,没有自动切换,加上监视器即可

■ Current conclusion

已解决

■ My analysis

因为Settings中没监听数据库值的变化,没有自动切换,加上监视器即可

■ Next action / ■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152239

#4 - 2022-09-28 15:41 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220928.alpha_0022

验证结果：PASS

#5 - 2022-09-28 15:41 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#6 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152239 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings:Auto Brightness cant sync Control Center1.fixed Auto Brightness cant sync Control CenterTC-RID: 1201-0201806IssueID:

TS-R-BUG-112135Change-Id: Ibf6fb0fb450f985ecc1f7471d86779314a528554

Files

logcat.txt 3.57 MB 2022-09-26 CD Test赵飞

screen-20220924-032426.mp4 9.83 MB 2022-09-26 CD Test赵飞
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/152239

